Get entity by ID
GET
/entities/{id}
const url = 'https://shoehorn.example.com/api/v1/entities/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/entities/exampleParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Entity details
Media type application/json
object
id
string format: uuid
service_id
Human-readable identifier
string
name
string
type
string
lifecycle
string
owner
string
description
string
tier
string
tags
Array<string>
links
Array<object>
object
title
string
url
string format: uri
icon
string
source
string
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "source": "kubernetes"}Entity not found